/*
  items.h

  For C8zy.  Items you can hold.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-02-25 - 2025-03-09
*/

#ifndef ITEMS_H
#define ITEMS_H

enum {
  ITEM_NONE,
  ITEM_DIRT,
  ITEM_SAND,
  ITEM_WATER,
  ITEM_GRASS,
  ITEM_FLOWER1_A,
  ITEM_FLOWER1_B,
  ITEM_FLOWER2_A,
  ITEM_FLOWER2_B,
  ITEM_MELON_A,
  ITEM_MELON_B,
  ITEM_SEEDS_A, /* FIXME */
  ITEM_SEEDS_B, /* FIXME */
  ITEM_LOG,
  ITEM_GEM_1,
  ITEM_GEM_2,
  ITEM_GEM_3,
  ITEM_GEM_4,
  ITEM_GEM_5,
  ITEM_ROCK,
  ITEM_LEAVES,
  ITEM_FRUIT,
  ITEM_CRAB,
  ITEM_CRAB_COOK,
  ITEM_FISH,
  ITEM_FISH_COOK,
  ITEM_FISH_BONE,
  ITEM_SNAIL,
  ITEM_SHELL,
  ITEM_FLOUR,
  ITEM_DOUGH,
  ITEM_BREAD,
  ITEM_AX,
  ITEM_HAMMER,
  ITEM_MUD,
  ITEM_BRICK,
  ITEM_ROPE,
  ITEM_PLANK,
  ITEM_BEAMS,
  ITEM_GLASS,

  NUM_ITEMS,
};

#define ITEM_BAD NUM_ITEMS
#define ITEM_STOP (NUM_ITEMS + 1)

extern char * item_names[NUM_ITEMS];

extern unsigned char droppable_items[][2];

extern unsigned char food[][3];

#endif
