/*
  tools.h

  For C8zy.  Mapping of what is items can act as tools, and
  how they affect shapes on the map.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-02-25 - 2025-03-01
*/

#ifndef TOOLS_H
#define TOOLS_H

extern unsigned char tools_onland[][4];
extern unsigned char tools_onhand[][4];

#define USE_TOOL_NONE -2
#define USE_TOOL_BAD -1
#define USE_TOOL_FULL -1

int use_tool(int item, int wx, int wy);

#endif
